Bug 6738 - can't see funds as superlibrarian
Summary: can't see funds as superlibrarian
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P1 - high major (vote)
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6834
  Show dependency treegraph
 
Reported: 2011-08-16 21:02 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6738 : Funds not showing up for super librarians (871 bytes, patch)
2011-09-02 03:25 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-16 21:02:47 UTC
I'm logged in as a superlibrarian and have created a fund for a different branch with me (the librarian) as the owner.  When I go to the main ACQ page I don't see the funds even though I'm the owner. I also have to be at the library in question. This won't work for big groups of libraries where one organization orders for all libraries.  Superlibrarians need to be able to see all budgets or at least all budgets they're the owners of, regardless of branch.

I am sure this was not like this in 3.2 - and maybe isn't a problem in 3.4 but it is a problem in master.
Comment 1 Chris Cormack 2011-09-02 03:01:29 UTC
Working on this now
Comment 2 Chris Cormack 2011-09-02 03:21:31 UTC
Bug with calling {param_map} this doesn't exist under T::T, changed to VARS
Comment 3 Chris Cormack 2011-09-02 03:25:05 UTC
Created attachment 5268 [details] [review]
Bug 6738 : Funds not showing up for super librarians
Comment 4 Chris Cormack 2011-09-02 18:40:45 UTC
The fix for this was pushed by 6834, please test and mark resolved
Comment 5 Katrin Fischer 2011-10-30 23:44:23 UTC
As superlibrarian I only see the funds that belong to my branch. If I change the home library of my super user patron in the patron account, the funds from other branches vanish.

I am going to reopen the bug. Nicole, can you test and confirm it should be different?
Comment 6 Nicole C. Engard 2011-11-05 19:25:42 UTC
Using the new AcqViewBaskets  preference everything seems to work as I expect it to.

Nicole